Page MenuHomePhabricator

notification-header-login-success has confusing parameter documentation
Closed, ResolvedPublic

Description

The current qqq documentation for the notification-header-login-success message says:

Text of notification for when someone successfully logs in as the current account from a computer that has not been previously used by that account. This is shown in the user's echo notifications, and is possibly emailed to the user.

    $1 = Username for account, formatted for display
    $2 = Username for account, unformatted for use in GENDER

The actual message in English doesn't have $1, $2, and GENDER. I can understand where can $2 be useful for GENDER: in Hebrew, for example, it's good for the word "you", and in other languages it can be useful on other words. But where is $1, "formatted for display", used?

The message in English should probably use $2 and GENDER, for example as {{GENDER:$2|you}}. This will make it easy for translators, with translatewiki.net insertables, etc. Also, if $2 doesn't appear in English, then translatewiki.net shows warnings, which are unnecessary. Or, if $2 is not actually implemented, they are correct, and the qqq is misleading.

$1 should either be explained better or removed from the qqq.

Thanks!

Event Timeline

Amire80 created this task.Jul 8 2017, 8:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2017, 8:35 AM
Amire80 updated the task description. (Show Details)Jul 8 2017, 8:37 AM
MaxSem claimed this task.Jul 10 2017, 5:36 PM

Change 364257 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@master] Fix message and documentation mismatch

https://gerrit.wikimedia.org/r/364257

Change 364257 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Fix message and documentation mismatch

https://gerrit.wikimedia.org/r/364257

Amire80 closed this task as Resolved.Jul 11 2017, 12:01 PM

Looks fixed in translatewiki.net now.

Thanks for the quick fix!

kaldari moved this task from Untriaged to Archive on the Community-Tech board.Jul 11 2017, 8:48 PM